Bug 1029751 - (CVE-2017-6436) VUL-0: CVE-2017-6436: libplist: Integer overflow in parse_string_node
(CVE-2017-6436)
VUL-0: CVE-2017-6436: libplist: Integer overflow in parse_string_node
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/181749/
CVSSv3:RedHat:CVE-2017-6436:3.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 16:00 UTC by Victor Pereira
Modified: 2020-09-16 11:01 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2017-03-16 16:00:54 UTC
rh#1432951

The parse_string_node function in bplist.c in libimobiledevice libplist 1.12
allows local users to cause a denial of service (memory allocation error) via a
crafted plist file.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1432951
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-6436
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-6436
https://github.com/libimobiledevice/libplist/issues/94
https://github.com/libimobiledevice/libplist/commit/32ee5213fe64f1e10ec76c1ee861ee6f233120dd
Comment 2 Swamp Workflow Management 2017-08-17 10:15:05 UTC
SUSE-SU-2017:2201-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1029638,1029639,1029706,1029707,1029751
CVE References: CVE-2017-6435,CVE-2017-6436,CVE-2017-6437,CVE-2017-6438,CVE-2017-6439
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Server 12-SP3 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Server 12-SP2 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    libplist-1.12-20.3.2
SUSE Linux Enterprise Desktop 12-SP2 (src):    libplist-1.12-20.3.2
Comment 3 Swamp Workflow Management 2017-08-18 01:10:02 UTC
openSUSE-SU-2017:2208-1: An update that fixes 5 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1029638,1029639,1029706,1029707,1029751
CVE References: CVE-2017-6435,CVE-2017-6436,CVE-2017-6437,CVE-2017-6438,CVE-2017-6439
Sources used:
openSUSE Leap 42.3 (src):    libplist-1.12-11.1
openSUSE Leap 42.2 (src):    libplist-1.12-7.6.1
Comment 5 Marcus Meissner 2017-12-27 20:39:22 UTC
released